| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csRedBlackTreePayload< K, T > Class Template Reference
[Containers]

Helper template to allow storage of a payload together with a key in a csRedBlackTree. More...

`#include <csutil/redblacktree.h>`

List of all members.

## Public Member Functions
| csRedBlackTreePayload (const csRedBlackTreePayload &other)
| csRedBlackTreePayload (const K &k, const T &v)
const K & | GetKey () const
T & | GetValue ()
const T & | GetValue () const
| operator const T & () const
| operator T & ()
bool | operator< (const K &other) const
bool | operator< (const csRedBlackTreePayload &other) const
## Friends
bool | operator< (const K &k1, const csRedBlackTreePayload &k2)

## Detailed Description

### template<typename K, typename T>
class csRedBlackTreePayload< K, T >

Helper template to allow storage of a payload together with a key in a csRedBlackTree.

Definition at line 523 of file redblacktree.h.

The documentation for this class was generated from the following file:

- csutil/redblacktree.h